Get DATEX II v3 AFIR energy infrastructure tables
curl --request GET \
--url https://api.spirii.com/v2/afir/energy-infrastructure-tablesimport requests
url = "https://api.spirii.com/v2/afir/energy-infrastructure-tables"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.spirii.com/v2/afir/energy-infrastructure-tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": {
"modelBaseVersionG": "3",
"profileNameG": "AFIR Energy Infrastructure",
"profileVersionG": "01-00-00",
"aegiEnergyInfrastructureTablePublication": {
"lang": "en",
"publicationTime": "2025-06-15T12:00:00.000Z",
"publicationCreator": {
"country": "DK",
"nationalIdentifier": "DK-NAP-SPIRII"
},
"headerInformation": {
"confidentiality": {
"value": "available",
"extendedValueG": "customValue"
},
"informationStatus": {
"value": "available",
"extendedValueG": "customValue"
}
},
"energyInfrastructureTable": [
{
"idG": "spirii-table-1",
"versionG": "1",
"tableName": "Spirii Charging Locations",
"energyInfrastructureSite": [
{
"idG": "site-42",
"versionG": "1",
"typeOfSite": {
"value": "available",
"extendedValueG": "customValue"
},
"locationReference": {
"locAreaLocation": {
"coordinatesForDisplay": {
"latitude": 55.676,
"longitude": 12.568
},
"locLocationExtensionG": {
"FacilityLocation": {
"address": {
"postcode": "2200",
"city": {
"values": [
{
"lang": "en",
"value": "Spirii"
}
]
},
"countryCode": "DK",
"addressLine": [
{
"order": 0,
"type": {
"value": "available",
"extendedValueG": "customValue"
},
"text": {
"values": [
{
"lang": "en",
"value": "Spirii"
}
]
}
}
]
}
}
}
}
},
"operator": {
"afacAnOrganisation": {
"name": {
"values": [
{
"lang": "en",
"value": "Spirii"
}
]
}
}
},
"energyInfrastructureStation": [
{
"idG": "station-100",
"versionG": "1",
"totalMaximumPower": 150000,
"numberOfRefillPoints": 2,
"serviceType": [
{
"serviceType": {
"value": "available",
"extendedValueG": "customValue"
}
}
],
"refillPoint": [
{
"aegiElectricChargingPoint": {
"idG": "cp-12345-1",
"versionG": "1",
"externalIdentifier": [
{
"identifier": "DK*SPR*E001",
"typeOfIdentifier": {
"value": "available",
"extendedValueG": "customValue"
}
}
],
"deliveryUnit": {
"value": "available",
"extendedValueG": "customValue"
},
"currentType": {
"value": "available",
"extendedValueG": "customValue"
},
"connector": [
{
"connectorType": {
"value": "available",
"extendedValueG": "customValue"
},
"maxPowerAtSocket": 22000,
"connectorFormat": {
"value": "available",
"extendedValueG": "customValue"
},
"voltage": 400,
"maximumCurrent": 32
}
],
"electricEnergy": [
{
"energyRate": [
{
"idG": "energy-rate-abc123",
"ratePolicy": {
"value": "adHoc"
},
"lastUpdated": "2025-06-15T12:00:00.000Z",
"applicableCurrency": [
"DKK"
],
"energyPrice": [
{
"priceType": {
"value": "available",
"extendedValueG": "customValue"
},
"value": 0.37,
"taxIncluded": true,
"taxRate": 25,
"overallPeriod": {
"overallStartTime": "2025-01-01T00:00:00Z",
"overallEndTime": "2025-12-31T23:59:59Z",
"validPeriod": [
{
"recurringDayWeekMonthPeriod": [
{
"comDayWeekMonth": {
"applicableDay": [
{
"value": "available",
"extendedValueG": "customValue"
}
]
}
}
],
"recurringTimePeriodOfDay": [
{
"startTimeOfPeriod": "09:00",
"endTimeOfPeriod": "17:00"
}
]
}
]
},
"timeBasedApplicability": {
"fromMinute": 240,
"toMinute": 480
},
"energyBasedApplicability": {
"fromKWh": 0,
"toKWh": 50
}
}
]
}
]
}
]
}
}
],
"lastUpdated": "2025-06-15T12:00:00.000Z"
}
],
"name": {
"values": [
{
"lang": "en",
"value": "Spirii"
}
]
},
"owner": {
"afacAnOrganisation": {
"name": {
"values": [
{
"lang": "en",
"value": "Spirii"
}
]
}
}
},
"helpdesk": {
"afacReferenceableOrganisation": {
"idG": "helpdesk-42",
"versionG": "1",
"name": {
"values": [
{
"lang": "en",
"value": "Spirii"
}
]
},
"organisationUnit": [
{
"contactInformation": [
{
"afacContactInformation": {
"telephoneNumber": "+4512345678"
}
}
]
}
]
}
},
"operatingHours": {
"afacOpenAllHours": {},
"afacOperatingHoursSpecification": {
"idG": "hours-42",
"versionG": "1",
"overallPeriod": {
"overallStartTime": "2025-01-01T00:00:00.000Z",
"validPeriod": [
{
"recurringDayWeekMonthPeriod": [
{
"comDayWeekMonth": {
"applicableDay": [
{
"value": "available",
"extendedValueG": "customValue"
}
]
}
}
],
"recurringTimePeriodOfDay": [
{
"startTimeOfPeriod": "08:00",
"endTimeOfPeriod": "20:00"
}
]
}
]
}
}
}
}
]
}
]
}
}
}Get DATEX II v3 AFIR energy infrastructure tables
GET
/
v2
/
afir
/
energy-infrastructure-tables
Get DATEX II v3 AFIR energy infrastructure tables
Headers
Return 304 if data has not changed since this date
Query Parameters
List of IDs of customers that 'own' the locations. The 'customerIds' are unique identifiers for customers. The 'customers' can be found in the Connect Customer management page. These customer IDs correspond with the customer IDs that can be retrieved from the Customer v2 API.
Example:
[123, 456, 789]
Charge Point Operator (CPO) ID, also known as Operator
Example:
42
Country ISO codes (ISO 3166-1 alpha-2).
Example:
["DK", "FR", "DE"]
Response
Gzipped DATEX II v3 static payload
Show child attributes
Show child attributes
Was this page helpful?